var express = require('express');
var app = express();
var fs = require("fs");
var data;
fs.readFile(__dirname + "/" + "users.json", 'utf8', function (err, d) {
  data = JSON.parse(d);
  console.log(data);
});
app.get('/users', function (req, res) {
  console.log(data);
  res.end(JSON.stringify(data));
});
app.get('/users/:id', function (req, res) {
  // First read existing users.
  var user = data["user" + req.params.id]
  console.log(user);
  res.end(JSON.stringify(user));
})

app.put('/users/:id', function (req, res) {
  // First read existing users.
  var user = {
    "name": req.query.name,
    "password": "password",
    "profession": "teacher",
    "id": req.params.id
  }
  data["user" + user.id] = user;
  console.log(data);
  res.end(JSON.stringify(data));
})
app.delete('/users/:id', function (req, res) {
  // First read existing users.
  delete data["user" + req.params.id];

  console.log(data);
  res.end(JSON.stringify(data));
})
var server = app.listen(8081, function () {
  var host = server.address().address
  var port = server.address().port
  console.log("Example app listening at http://%s:%s", host, port)
});